> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rpa get task detail

> RPA



## OpenAPI

````yaml get /open/api/rpa/task/getInfo/{id}
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/rpa/task/getInfo/{id}:
    get:
      tags: []
      summary: Rpa get task detail
      description: RPA
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RGetTaskInfoResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    RGetTaskInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/GetTaskInfoResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    GetTaskInfoResVO:
      type: object
      properties:
        id:
          type: integer
          description: 任务id
          format: int64
        templateName:
          type: string
          description: 流程模板名称
        name:
          type: string
          description: 任务名称
        phoneNum:
          type: integer
          description: 执行任务手机数
        status:
          type: integer
          description: 任务状态 0-待执行 1-进行中 2-成功 3-失败 4-部分成功
        startTime:
          type: string
          description: 任务开始时间
        endTime:
          type: string
          description: 任务结束时间
        taskList:
          type: array
          items:
            $ref: '#/components/schemas/TaskDetailInfoVO'
            description: TaskDetailInfoVO
          description: 任务详情列表
        createTime:
          type: string
          description: 任务创建时间
    TaskDetailInfoVO:
      type: object
      properties:
        id:
          type: integer
          description: 任务详情id
          format: int64
        code:
          type: string
          description: 手机编号
        phoneName:
          type: string
          description: 手机名称
        startTime:
          type: string
          description: 任务开始时间
        endTime:
          type: string
          description: 任务结束时间
        params:
          $ref: '#/components/schemas/MapString'
          description: 流程模板参数构建结果
        failIdx:
          type: integer
          description: 失败时的节点idx
        errorImgUrl:
          type: string
          description: 任务异常截图url
        status:
          type: integer
          description: 任务状态 0-待执行 1-进行中 2-成功 3-失败
        nodeList:
          type: array
          items:
            $ref: '#/components/schemas/ApiRpaTaskNodeInfo'
            description: ApiRpaTaskNodeInfo
          description: 节点列表
    MapString:
      type: object
      properties:
        key:
          type: string
    ApiRpaTaskNodeInfo:
      type: object
      properties:
        id:
          type: integer
          description: 主键
          format: int64
        taskId:
          type: integer
          description: 任务id
          format: int64
        idx:
          type: integer
          description: 节点idx
        parentIdx:
          type: integer
          description: 循环节点父级idx,0代表非循环节点
        type:
          type: integer
          description: 动作类型
        name:
          type: string
          description: 节点名称
        start:
          type: string
          description: 开始时间
        cost:
          type: integer
          description: 耗时,单位:毫秒
          format: int64
        status:
          type: integer
          description: 状态
        nextIdx:
          type: integer
          description: 下一个节点idx
        description:
          type: string
          description: 描述信息,或失败原因
        hasChildren:
          type: boolean
          description: 是否拥有子节点
        childrenList:
          type: array
          items:
            $ref: '#/components/schemas/ApiRpaTaskNodeInfo'
            description: ApiRpaTaskNodeInfo
          description: 子节点列表

````